OpenCV: cv::Vec< _Tp, cn > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::Vec< _Tp, cn > Class Template Reference
Core functionality » Basic structures

Template class for short numerical vectors, a partial case of Matx. More...

`#include "matx.hpp"`

Inheritance diagram for cv::Vec< _Tp, cn >:

## Public Types
enum | { channels = cn, _dummy_enum_finalizer = 0 }
typedef _Tp | value_type
Public Types inherited from cv::Matx< _Tp, cn, 1 >
enum |
typedef Matx< _Tp, shortdim, 1 > | diag_type
typedef Matx< _Tp, m, n > | mat_type
typedef _Tp | value_type

## Public Member Functions
| Vec ()
| default constructor More...
| Vec (_Tp v0)
| 1-element vector constructor More...
| Vec (_Tp v0, _Tp v1)
| 2-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2)
| 3-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3)
| 4-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4)
| 5-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5)
| 6-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6)
| 7-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7)
| 8-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8)
| 9-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9)
| 10-element vector constructor More...
| Vec (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11, _Tp v12, _Tp v13)
| 14-element vector constructor More...
| Vec (const _Tp *values)
| Vec (const Vec< _Tp, cn > &v)
| Vec (const Matx< _Tp, cn, 1 > &a, const Matx< _Tp, cn, 1 > &b, Matx_AddOp)
| Vec (const Matx< _Tp, cn, 1 > &a, const Matx< _Tp, cn, 1 > &b, Matx_SubOp)
template<typename _T2 >
| Vec (const Matx< _Tp, cn, 1 > &a, _T2 alpha, Matx_ScaleOp)
Vec | conj () const
| conjugation (makes sense for complex numbers and quaternions) More...
Vec | cross (const Vec &v) const
Vec | mul (const Vec< _Tp, cn > &v) const
| per-element multiplication More...
template<typename T2 >
| operator Vec< T2, cn > () const
| conversion to another data type More...
const _Tp & | operator() (int i) const
_Tp & | operator() (int i)
const _Tp & | operator[] (int i) const
_Tp & | operator[] (int i)
Public Member Functions inherited from cv::Matx< _Tp, cn, 1 >
| Matx ()
| default constructor More...
| Matx (_Tp v0)
| 1x1 matrix More...
| Matx (_Tp v0, _Tp v1)
| 1x2 or 2x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2)
| 1x3 or 3x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3)
| 1x4, 2x2 or 4x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4)
| 1x5 or 5x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5)
| 1x6, 2x3, 3x2 or 6x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6)
| 1x7 or 7x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7)
| 1x8, 2x4, 4x2 or 8x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8)
| 1x9, 3x3 or 9x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9)
| 1x10, 2x5 or 5x2 or 10x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11)
| 1x12, 2x6, 3x4, 4x3, 6x2 or 12x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11, _Tp v12, _Tp v13)
| 1x14, 2x7, 7x2 or 14x1 matrix More...
| Matx (_Tp v0, _Tp v1, _Tp v2, _Tp v3, _Tp v4, _Tp v5, _Tp v6, _Tp v7, _Tp v8, _Tp v9, _Tp v10, _Tp v11, _Tp v12, _Tp v13, _Tp v14, _Tp v15)
| 1x16, 4x4 or 16x1 matrix More...
| Matx (const _Tp *vals)
| initialize from a plain array More...
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_AddOp)
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_SubOp)
| Matx (const Matx< _Tp, m, n > &a, _T2 alpha, Matx_ScaleOp)
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_MulOp)
| Matx (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b, Matx_DivOp)
| Matx (const Matx< _Tp, m, l > &a, const Matx< _Tp, l, n > &b, Matx_MatMulOp)
| Matx (const Matx< _Tp, n, m > &a, Matx_TOp)
Matx< _Tp, m, 1 > | col (int i) const
| extract the matrix column More...
double | ddot (const Matx< _Tp, m, n > &v) const
| dot product computed in double-precision arithmetics More...
diag_type | diag () const
| extract the matrix diagonal More...
Matx< _Tp, m, n > | div (const Matx< _Tp, m, n > &a) const
| divide two matrices element-wise More...
_Tp | dot (const Matx< _Tp, m, n > &v) const
| dot product computed with the default precision More...
Matx< _Tp, m1, n1 > | get_minor (int i, int j) const
| extract part of the matrix More...
Matx< _Tp, n, m > | inv (int method=DECOMP_LU, bool *p_is_ok=NULL) const
| invert the matrix More...
Matx< _Tp, m, n > | mul (const Matx< _Tp, m, n > &a) const
| multiply two matrices element-wise More...
| operator Matx< T2, m, n > () const
| conversion to another data type More...
const _Tp & | operator() (int i, int j) const
| element access More...
_Tp & | operator() (int i, int j)
const _Tp & | operator() (int i) const
| 1D element access More...
_Tp & | operator() (int i)
Matx< _Tp, m1, n1 > | reshape () const
| change the matrix shape More...
Matx< _Tp, 1, n > | row (int i) const
| extract the matrix row More...
Matx< _Tp, n, l > | solve (const Matx< _Tp, m, l > &rhs, int flags=DECOMP_LU) const
| solve linear system More...
Vec< _Tp, n > | solve (const Vec< _Tp, m > &rhs, int method) const
Matx< _Tp, n, m > | t () const
| transpose the matrix More...

## Static Public Member Functions
static Vec | all (_Tp alpha)
Static Public Member Functions inherited from cv::Matx< _Tp, cn, 1 >
static Matx | all (_Tp alpha)
static Matx | diag (const diag_type &d)
static Matx | eye ()
static Matx | ones ()
static Matx | randn (_Tp a, _Tp b)
static Matx | randu (_Tp a, _Tp b)
static Matx | zeros ()

## Related Functions
(Note that these are not member functions.)
template<typename _Tp1 , typename _Tp2 , int cn>
static Vec< _Tp1, cn > & | operator+= (Vec< _Tp1, cn > &a, const Vec< _Tp2, cn > &b)
template<typename _Tp1 , typename _Tp2 , int cn>
static Vec< _Tp1, cn > & | operator-= (Vec< _Tp1, cn > &a, const Vec< _Tp2, cn > &b)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator+ (const Vec< _Tp, cn > &a, const Vec< _Tp, cn > &b)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator- (const Vec< _Tp, cn > &a, const Vec< _Tp, cn > &b)
template<typename _Tp , int cn>
static Vec< _Tp, cn > & | operator*= (Vec< _Tp, cn > &a, int alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > & | operator*= (Vec< _Tp, cn > &a, float alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > & | operator*= (Vec< _Tp, cn > &a, double alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > & | operator/= (Vec< _Tp, cn > &a, int alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > & | operator/= (Vec< _Tp, cn > &a, float alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > & | operator/= (Vec< _Tp, cn > &a, double alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator* (const Vec< _Tp, cn > &a, int alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator* (int alpha, const Vec< _Tp, cn > &a)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator* (const Vec< _Tp, cn > &a, float alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator* (float alpha, const Vec< _Tp, cn > &a)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator* (const Vec< _Tp, cn > &a, double alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator* (double alpha, const Vec< _Tp, cn > &a)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator/ (const Vec< _Tp, cn > &a, int alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator/ (const Vec< _Tp, cn > &a, float alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator/ (const Vec< _Tp, cn > &a, double alpha)
template<typename _Tp , int cn>
static Vec< _Tp, cn > | operator- (const Vec< _Tp, cn > &a)
template<typename _Tp >
Vec< _Tp, 4 > | operator* (const Vec< _Tp, 4 > &v1, const Vec< _Tp, 4 > &v2)
template<typename _Tp >
Vec< _Tp, 4 > & | operator*= (Vec< _Tp, 4 > &v1, const Vec< _Tp, 4 > &v2)
Related Functions inherited from cv::Matx< _Tp, cn, 1 >
static Matx< _Tp1, m, n > & | operator+= (Matx< _Tp1, m, n > &a, const Matx< _Tp2, m, n > &b)
static Matx< _Tp1, m, n > & | operator-= (Matx< _Tp1, m, n > &a, const Matx< _Tp2, m, n > &b)
static Matx< _Tp, m, n > | operator+ (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b)
static Matx< _Tp, m, n > | operator- (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b)
static Matx< _Tp, m, n > | operator- (const Matx< _Tp, m, n > &a)
static Matx< _Tp, m, n > & | operator*= (Matx< _Tp, m, n > &a, int alpha)
static Matx< _Tp, m, n > & | operator*= (Matx< _Tp, m, n > &a, float alpha)
static Matx< _Tp, m, n > & | operator*= (Matx< _Tp, m, n > &a, double alpha)
static Matx< _Tp, m, n > | operator* (const Matx< _Tp, m, n > &a, int alpha)
static Matx< _Tp, m, n > | operator* (const Matx< _Tp, m, n > &a, float alpha)
static Matx< _Tp, m, n > | operator* (const Matx< _Tp, m, n > &a, double alpha)
static Matx< _Tp, m, n > | operator* (int alpha, const Matx< _Tp, m, n > &a)
static Matx< _Tp, m, n > | operator* (float alpha, const Matx< _Tp, m, n > &a)
static Matx< _Tp, m, n > | operator* (double alpha, const Matx< _Tp, m, n > &a)
static Matx< _Tp, m, n > | operator* (const Matx< _Tp, m, l > &a, const Matx< _Tp, l, n > &b)
static Vec< _Tp, m > | operator* (const Matx< _Tp, m, n > &a, const Vec< _Tp, n > &b)
static bool | operator== (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b)
static bool | operator!= (const Matx< _Tp, m, n > &a, const Matx< _Tp, m, n > &b)

## Additional Inherited Members
Public Attributes inherited from cv::Matx< _Tp, cn, 1 >
_Tp | val [m *n]

## Detailed Description

### template<typename _Tp, int cn>
class cv::Vec< _Tp, cn >

Template class for short numerical vectors, a partial case of Matx.

This template class represents short numerical vectors (of 1, 2, 3, 4 ... elements) on which you can perform basic arithmetical operations, access individual elements using [] operator etc. The vectors are allocated on stack, as opposite to std::valarray, std::vector, cv::Mat etc., which elements are dynamically allocated in the heap.

The template takes 2 parameters:

Template Parameters

  _Tp | element type
  cn | the number of elements

In addition to the universal notation like Vec<float, 3>, you can use shorter aliases for the most popular specialized variants of Vec, e.g. Vec3f ~ Vec<float, 3>.

It is possible to convert Vec<T,2> to/from Point_, Vec<T,3> to/from Point3_ , and Vec<T,4> to CvScalar or Scalar_. Use operator[] to access the elements of Vec.

All the expected vector operations are also implemented:

- v1 = v2 + v3
- v1 = v2 - v3
- v1 = v2 * scale
- v1 = scale * v2
- v1 = -v2
- v1 += v2 and other augmenting operations
- v1 == v2, v1 != v2
- norm(v1) (euclidean norm) The Vec class is commonly used to describe pixel types of multi-channel arrays. See Mat for details.

Examples:
  camshiftdemo.cpp, fitellipse.cpp, houghcircles.cpp, houghlines.cpp, and watershed.cpp.

## Member Typedef Documentation

## ◆ value_type

template<typename _Tp, int cn>

typedef _Tp cv::Vec< _Tp, cn >::value_type

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename _Tp, int cn>

anonymous enum

Enumerator
channels |
_dummy_enum_finalizer |

## Constructor & Destructor Documentation

## ◆ Vec() [1/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( |  | ) |

default constructor

## ◆ Vec() [2/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0 | ) |

1-element vector constructor

## ◆ Vec() [3/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1
| ) |  |

2-element vector constructor

## ◆ Vec() [4/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2
| ) |  |

3-element vector constructor

## ◆ Vec() [5/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3
| ) |  |

4-element vector constructor

## ◆ Vec() [6/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4
| ) |  |

5-element vector constructor

## ◆ Vec() [7/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5
| ) |  |

6-element vector constructor

## ◆ Vec() [8/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6
| ) |  |

7-element vector constructor

## ◆ Vec() [9/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7
| ) |  |

8-element vector constructor

## ◆ Vec() [10/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8
| ) |  |

9-element vector constructor

## ◆ Vec() [11/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8,
|  | _Tp | v9
| ) |  |

10-element vector constructor

## ◆ Vec() [12/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | _Tp | v0,
|  | _Tp | v1,
|  | _Tp | v2,
|  | _Tp | v3,
|  | _Tp | v4,
|  | _Tp | v5,
|  | _Tp | v6,
|  | _Tp | v7,
|  | _Tp | v8,
|  | _Tp | v9,
|  | _Tp | v10,
|  | _Tp | v11,
|  | _Tp | v12,
|  | _Tp | v13
| ) |  |

14-element vector constructor

## ◆ Vec() [13/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | const _Tp * | values | ) |
| explicit

## ◆ Vec() [14/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | const Vec< _Tp, cn > & | v | ) |

## ◆ Vec() [15/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | const Matx< _Tp, cn, 1 > & | a,
|  | const Matx< _Tp, cn, 1 > & | b,
|  | Matx_AddOp |
| ) |  |

## ◆ Vec() [16/17]

template<typename _Tp, int cn>

cv::Vec< _Tp, cn >::Vec | ( | const Matx< _Tp, cn, 1 > & | a,
|  | const Matx< _Tp, cn, 1 > & | b,
|  | Matx_SubOp |
| ) |  |

## ◆ Vec() [17/17]

template<typename _Tp, int cn>
template<typename _T2 >

cv::Vec< _Tp, cn >::Vec | ( | const Matx< _Tp, cn, 1 > & | a,
|  | _T2 | alpha,
|  | Matx_ScaleOp |
| ) |  |

## Member Function Documentation

## ◆ all()

template<typename _Tp, int cn>

static Vec cv::Vec< _Tp, cn >::all | ( | _Tp | alpha | ) |
| static

## ◆ conj()

template<typename _Tp, int cn>

Vec cv::Vec< _Tp, cn >::conj | ( |  | ) | const

conjugation (makes sense for complex numbers and quaternions)

## ◆ cross()

template<typename _Tp, int cn>

Vec cv::Vec< _Tp, cn >::cross | ( | const Vec< _Tp, cn > & | v | ) | const

cross product of the two 3D vectors.

For other dimensionalities the exception is raised

## ◆ mul()

template<typename _Tp, int cn>

Vec cv::Vec< _Tp, cn >::mul | ( | const Vec< _Tp, cn > & | v | ) | const

per-element multiplication

## ◆ operator Vec< T2, cn >()

template<typename _Tp, int cn>
template<typename T2 >

cv::Vec< _Tp, cn >::operator Vec< T2, cn > | ( |  | ) | const

conversion to another data type

## ◆ operator()() [1/2]

template<typename _Tp, int cn>

const _Tp& cv::Vec< _Tp, cn >::operator() | ( | int | i | ) | const

## ◆ operator()() [2/2]

template<typename _Tp, int cn>

_Tp& cv::Vec< _Tp, cn >::operator() | ( | int | i | ) |

## ◆ operator[]() [1/2]

template<typename _Tp, int cn>

const _Tp& cv::Vec< _Tp, cn >::operator[] | ( | int | i | ) | const

element access

## ◆ operator[]() [2/2]

template<typename _Tp, int cn>

_Tp& cv::Vec< _Tp, cn >::operator[] | ( | int | i | ) |

## Friends And Related Function Documentation

## ◆ operator*() [1/7]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator* | ( | const Vec< _Tp, cn > & | a,
|  | int | alpha
| ) |  |
| related

## ◆ operator*() [2/7]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator* | ( | int | alpha,
|  | const Vec< _Tp, cn > & | a
| ) |  |
| related

## ◆ operator*() [3/7]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator* | ( | const Vec< _Tp, cn > & | a,
|  | float | alpha
| ) |  |
| related

## ◆ operator*() [4/7]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator* | ( | float | alpha,
|  | const Vec< _Tp, cn > & | a
| ) |  |
| related

## ◆ operator*() [5/7]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator* | ( | const Vec< _Tp, cn > & | a,
|  | double | alpha
| ) |  |
| related

## ◆ operator*() [6/7]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator* | ( | double | alpha,
|  | const Vec< _Tp, cn > & | a
| ) |  |
| related

## ◆ operator*() [7/7]

template<typename _Tp >

Vec< _Tp, 4 > operator* | ( | const Vec< _Tp, 4 > & | v1,
|  | const Vec< _Tp, 4 > & | v2
| ) |  |
| related

## ◆ operator*=() [1/4]

template<typename _Tp , int cn>

static Vec< _Tp, cn > & operator*= | ( | Vec< _Tp, cn > & | a,
|  | int | alpha
| ) |  |
| related

## ◆ operator*=() [2/4]

template<typename _Tp , int cn>

static Vec< _Tp, cn > & operator*= | ( | Vec< _Tp, cn > & | a,
|  | float | alpha
| ) |  |
| related

## ◆ operator*=() [3/4]

template<typename _Tp , int cn>

static Vec< _Tp, cn > & operator*= | ( | Vec< _Tp, cn > & | a,
|  | double | alpha
| ) |  |
| related

## ◆ operator*=() [4/4]

template<typename _Tp >

Vec< _Tp, 4 > & operator*= | ( | Vec< _Tp, 4 > & | v1,
|  | const Vec< _Tp, 4 > & | v2
| ) |  |
| related

## ◆ operator+()

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator+ | ( | const Vec< _Tp, cn > & | a,
|  | const Vec< _Tp, cn > & | b
| ) |  |
| related

## ◆ operator+=()

template<typename _Tp1 , typename _Tp2 , int cn>

static Vec< _Tp1, cn > & operator+= | ( | Vec< _Tp1, cn > & | a,
|  | const Vec< _Tp2, cn > & | b
| ) |  |
| related

## ◆ operator-() [1/2]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator- | ( | const Vec< _Tp, cn > & | a,
|  | const Vec< _Tp, cn > & | b
| ) |  |
| related

## ◆ operator-() [2/2]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator- | ( | const Vec< _Tp, cn > & | a | ) |
| related

## ◆ operator-=()

template<typename _Tp1 , typename _Tp2 , int cn>

static Vec< _Tp1, cn > & operator-= | ( | Vec< _Tp1, cn > & | a,
|  | const Vec< _Tp2, cn > & | b
| ) |  |
| related

## ◆ operator/() [1/3]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator/ | ( | const Vec< _Tp, cn > & | a,
|  | int | alpha
| ) |  |
| related

## ◆ operator/() [2/3]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator/ | ( | const Vec< _Tp, cn > & | a,
|  | float | alpha
| ) |  |
| related

## ◆ operator/() [3/3]

template<typename _Tp , int cn>

static Vec< _Tp, cn > operator/ | ( | const Vec< _Tp, cn > & | a,
|  | double | alpha
| ) |  |
| related

## ◆ operator/=() [1/3]

template<typename _Tp , int cn>

static Vec< _Tp, cn > & operator/= | ( | Vec< _Tp, cn > & | a,
|  | int | alpha
| ) |  |
| related

## ◆ operator/=() [2/3]

template<typename _Tp , int cn>

static Vec< _Tp, cn > & operator/= | ( | Vec< _Tp, cn > & | a,
|  | float | alpha
| ) |  |
| related

## ◆ operator/=() [3/3]

template<typename _Tp , int cn>

static Vec< _Tp, cn > & operator/= | ( | Vec< _Tp, cn > & | a,
|  | double | alpha
| ) |  |
| related

The documentation for this class was generated from the following file:

- core/include/opencv2/core/matx.hpp